Skip to main content
GET
/
functions
/
deployments
/
{id}
Get a function deployment
curl --request GET \
  --url https://api.nango.dev/functions/deployments/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.nango.dev/functions/deployments/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.nango.dev/functions/deployments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "integration_id": "<string>",
  "function_name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "duration_ms": 1,
  "deployed": true,
  "deployed_functions": [
    {
      "name": "<string>",
      "version": "<string>"
    }
  ],
  "output": "<string>",
  "error": {
    "code": "<string>",
    "message": "<string>",
    "payload": "<unknown>"
  }
}
{
"error": {
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"errors": [
{}
]
}
}
Requires an API key with the environment:deploy scope. Learn more about API key scopes.
Returns the status and result of an asynchronous function deployment.

Authorizations

Authorization
string
header
required

The secret key from your Nango environment.

Path Parameters

id
string<uuid>
required

Response

Successfully retrieved the deployment.

id
string<uuid>
required
status
enum<string>
required

The status of the function deployment.

Available options:
waiting,
running,
success,
failed
integration_id
string
required

The integration ID (unique_key) that you created in Nango.

function_name
string
required

The sync or action function name.

function_type
enum<string>
required
Available options:
action,
sync
created_at
string<date-time>
required
updated_at
string<date-time>
required
started_at
string<date-time>
completed_at
string<date-time>
duration_ms
integer
Required range: x >= 0
deployed
boolean

Whether the deployment updated any functions.

deployed_functions
object[]

Functions updated by the deployment.

output
string

Deployment command output.

error
object